# $EPIC: serverwin,v 1.1 2003/07/07 05:24:17 jnelson Exp $
Synopsis:
   $serverwin()
   $serverwin(<server refnum>)

Technical:
   * If the <server refnum> argument is omitted, the current server's refnum
     is taken as the default value.
   * If <server refnum> is not a valid server refnum, -1 is returned.
   * If there are no windows connected to the server (which should never
     happen, but hey, you never know), -1 is returned.
   * Otherwise, the refnum of the last window to recieve the input focus
     that is connected to the requested server is returned.

Practical:
   The following things change the client's current input window:
	/WINDOW NEW		/WINDOW CREATE
	/WINDOW HIDE		/WINDOW MOVETO
	/WINDOW GOTO		<NEXT_WINDOW>
	<PREVIOUS_WINDOW>	/WINDOW SHOW
	/WINDOW BACK		/WINDOW LAST
	/WINDOW POP		/WINDOW REFNUM
	/WINDOW REFNUM_OR_SWAP
   Each time a window is made the client's current input window, it is
   granted the highest "priority" for all windows.  Each window therefore
   has a priority relative to all other windows, which indicates how 
   recently it has been the current input window.  Therefore, among all
   of each server's windows there is one window that has the highest 
   priority, and that window was that server's most recent current input
   window.  This window is called the "server's current window".
   This function returns the current window for any given server.

Returns:
   The window refnum of the current window for the server, or -1 if the
   server is unknown or does not have a current window.

See Also:
   server(1); servername(6); winserv(6); servports(6)

